Skip to main content

26.7.0 - Jul 21

Released: 2026-07-21

We’re pleased to announce the following updates to the Forward Networks API as part of release 26.7.0.

See also the full release notes for Forward Enterprise version 26.7.0.


Breaking changes

  • FWD-52675 The Network property created (a string timestamp) has been removed. Use createdAt (the same string timestamp) instead.
    • Affected operations:
      • GET /api/networks (Get all networks)
      • PATCH /api/networks/{networkId} (Update a network)
      • DELETE /api/networks/{networkId} (Delete a network)
      • POST /api/networks/{networkId}/snapshots (Import a Snapshot)
      • POST /api/networks/{networkId}/workspaces (Create a Workspace network)

Scheduled breaking changes

  • FWD-51950 The MissingDevice property possibleTypes has been deprecated for removal in release 26.8. Use vendor instead.

    • Affected operations:
      • GET /api/networks/{networkId}/missing-devices (Get missing network devices)
  • FWD-52020 These deprecated operations will be removed in release 26.10. If you use them, see How to use the Collector Tasks API for detailed guidance on switching to newer APIs.

    • Deprecated operations:
      • GET /api/networks/{networkId}/collector/status (Get Collector status)
      • POST /api/networks/{networkId}/startcollection (Trigger a network collection)
      • POST /api/networks/{networkId}/cancelcollection (Cancel a network collection)

Non-breaking changes

  • FWD-55569 Added new operations for listing collector tasks and stopping a collector task.

    • New operations:
      • GET /api/collector-tasks (Get Collector tasks)
      • POST /api/collector-tasks/{taskId}?action={CANCEL|SKIP} (Stop a Collector task)
  • FWD-55972 Added 11 new DeviceType and VendorOs values for IBM Cloud, including "ibm_subnet", "ibm_route_table", and "ibm_public_gateway".

    • Affected operations:
      • GET /api/networks/{networkId}/devices (Get all network devices)
      • GET /api/networks/{networkId}/devices/{deviceName} (Get a network device)
      • GET /api/networks/{networkId}/paths (Path Search)
      • POST /api/networks/{networkId}/paths-bulk (Bulk Path Search)
      • POST /api/networks/{networkId}/paths-bulk-seq (Sequential Bulk Path Search)
  • FWDN-12634 Added VendorOs value "viptela_smart"

    • Affected operations:
      • GET /api/networks/{networkId}/devices (Get all network devices)
      • GET /api/networks/{networkId}/devices/{deviceName} (Get a network device)
  • FWD-56269 Added some guidance to the Bulk Path Search API documentation about optimizing throughput.

    • Affected operations:
      • POST /api/networks/{networkId}/paths-bulk (Bulk Path Search)
      • POST /api/networks/{networkId}/paths-bulk-seq (Sequential Bulk Path Search)

Appendix: How to use the Collector Tasks API

The Forward Platform now supports Collector task queuing. New APIs provide visibility into queued, active, and recently completed Collector tasks. You no longer need to check whether a Collector is busy before requesting network collection. Simply submit the request, and the Collector will execute it as soon as it can.

Requesting network collection

To request network collection, use Add a Collector task as in the following example:

Request:

POST /api/collector-tasks?type=NETWORK_COLLECTION&networkId=12345

Response:

{"taskId": "P98765"}
note

The system does not allow queuing multiple collection tasks for the same network. If network collection is requested while there is already a queued or running collection task for the network, the request will be rejected with an error message like this:

Collection in network 12345 is already in progress

In this case, no further action is required. The collection will complete, and your workflow can simply wait for the task to finish.

Monitoring network collection

To monitor the status of a queued or running network collection task, use Get a Collector task as in the following example:

Request:

GET /api/collector-tasks/P98765

Response:

{
"id": "P98765",
"type": "NETWORK_COLLECTION",
"status": "SUCCEEDED",
"networkId": "123",
"networkName": "My Network",
"note": "Triggered via API",
"createdById": "456",
"createdBy": "you@example.com",
"createdAt": "2025-10-27T16:30:45.111Z",
"startedAt": "2025-10-27T16:31:51.345Z",
"finishedAt": "2025-10-27T16:34:56.789Z"
}

You can poll that endpoint every 5 seconds or so and watch for "status" changes.

Stopping network collection

To cancel a queued or running network collection task, use Stop a Collector task as in the following example:

Request:

POST /api/collector-tasks/P98765?action=CANCEL

Response:

204 No Content

If you want the system to create an incomplete network Snapshot from the data collected so far, use ?action=SKIP instead.

Listing Collector tasks

If you are curious about what Collector tasks are queued, in progress, or recently completed, use Get Collector tasks as in the following example:

Request:

GET /api/collector-tasks

Response:

{
"tasks": [
{
"id": "P98765",
"type": "NETWORK_COLLECTION",
"status": "SUCCEEDED",
"networkId": "123",
"networkName": "My Network",
"note": "Triggered via API",
"createdById": "456",
"createdBy": "you@example.com",
"createdAt": "2025-10-27T16:30:45.111Z",
"startedAt": "2025-10-27T16:31:51.345Z",
"finishedAt": "2025-10-27T16:34:56.789Z"
}
]
}

The response lists tasks from newest to oldest. The request accepts an optional limit query parameter to limit the number of tasks returned, as in ?limit=10. It also accepts an optional status query parameter that can be used to filter the tasks returned by their status, as in ?status=QUEUED,RUNNING,SUCCEEDED.

Key takeaways

  • You should no longer care about Collector status (idle or busy) at all.
  • Integrations that drive network collection should now operate at the task level, not the Collector level.
  • In a future release, Forward will support multiple Collectors per network, which will make Collector-level status tracking even less meaningful.